import { Button } from "@heroui/react";
import { Link, useNavigate } from "react-router";

export default function DemoPage() {
  const navigate = useNavigate();

  return (
    <div className="flex flex-col gap-3 py-16 max-w-3xl mx-auto">
      <h1 className="text-2xl font-bold leading-loose">Demo Page</h1>
      <button onClick={() => navigate("/")} className="p-3 rounded-lg bg-zinc-300 transition hover:scale-105 cursor-pointer">Back</button>
      <Button color="primary" variant="flat" onPress={() => navigate("/")}>HeroUI Back</Button>
      <Link to="/">Back</Link>
    </div>
  )
}